跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Reruns all failed jobs in a workflow run

POST
/repos/{owner}/{repo}/actions/runs/{run}/rerun-failed-jobs
curl --request POST \
--url https://gitea.example.com/api/v1/repos/example/example/actions/runs/1/rerun-failed-jobs \
--header 'Authorization: Basic <credentials>'
owner
required
string

Owner of the repo

repo
required
string

Name of the repository

run
required
integer

Id of the run

APIEmpty is an empty response

Media typeapplication/json

APIError is error format response

Media typeapplication/json
message
string
url
string

APIForbiddenError is a forbidden error response

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json

APIValidationError is error format response related to input validation

Media typeapplication/json
message
string
url
string